# class Mail::MessageIdsElement

### Public Class Methods

new(string) click to toggle source

    # File lib/mail/elements/message_ids_element.rb, line 6
    def initialize(string)
      raise Mail::Field::ParseError.new(Mail::MessageIdsElement, string, 'nil is invalid') if string.nil?
      @message_ids = Mail::Parsers::MessageIdsParser.new.parse(string).message_ids.map { |msg_id| clean_msg_id(msg_id) }
    end

### Public Instance Methods

clean_msg_id( val ) click to toggle source

    # File lib/mail/elements/message_ids_element.rb, line 19
    def clean_msg_id( val )
      val =~ /.*<(.*)>.*/ ; $1
    end

message_id() click to toggle source

    # File lib/mail/elements/message_ids_element.rb, line 15
    def message_id
      @message_ids.first
    end

message_ids() click to toggle source

    # File lib/mail/elements/message_ids_element.rb, line 11
    def message_ids
      @message_ids
    end